<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2007-2008 - INRIA
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="cell" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-03-26 09:50:39 +0100 (mer, 26 mar 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>cell</refname>

    <refpurpose>cria um cell (célula) de matrizes vazias</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Seqüência de Chamamento</title>

    <synopsis>
c=cell()
c=cell(m1)
c=cell(m1, m2)
c=cell(m1, m2, ..., mn)
c=cell(x)
</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parâmetros</title>

    <variablelist>
      <varlistentry>
        <term>x</term>

        <listitem>
          <para>vetor contendo as dimensões do cell a ser criado</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>m1, m2,..</term>

        <listitem>
          <para>dimensões do cell a ser criado</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Descrição</title>

    <para>retorna um cell de matrizes vazias</para>

    <variablelist>
      <varlistentry>
        <term>cell()</term>

        <listitem>
          <para>retorna um cell <literal>(0,0)</literal> de matrizes
          vazias.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cell(m1)</term>

        <listitem>
          <para>retorna um cell <literal>(m1,m1)</literal> de matrizes
          vazias.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cell(m1,m2)</term>

        <listitem>
          <para>retorna um cell <literal>(m1,m2) </literal>de matrizes
          vazias.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cell(m1,m2,..,mn)</term>

        <listitem>
          <para>retorna um cell <literal>(m1,m2,..,mn)</literal> de matrizes
          vazias.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cell(x)</term>

        <listitem>
          <para>retorna um cell de matrizes vazias com: a primeira dimensão
          sendo <literal>x(1)</literal>, a segunda sendo <literal>x(2),
          ...</literal></para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Observações</title>

    <para><literal>cell(x) </literal>não possui o mesmo tamanho que
    <literal>x</literal>.</para>

    <para><literal>cell()</literal> é equivalente a
    <literal>cell(0)</literal>.</para>

    <para>Se A for um cell, você pode acessar os conteúdos de um elemento de A
    utilizando <literal>A(m1, m2, ..., mn).entries</literal>. A expressão
    <literal>A(1,1) = zeros(2,2)</literal> não é válida, a sintaxe correta é
    <literal>A(1,1).entries = zeros(2,2)</literal>.</para>

    <para>Se A é um cell, você pode obter suas dimensões através de
    <literal>A.dims</literal>.</para>
  </refsection>

  <refsection>
    <title>Exemplos</title>

    <programlisting role="example"><![CDATA[ 
a=cell(3)
b=cell(3,1)
c=cell([2,3,4])

// atribuição em entradas do cell
b=cell(3,1);

// atribuindo o primeiro elemento de b utilizando o campo 'entries'
b(1).entries=1:3

// atribuindo o segundo elemento de b utilizando o campo 'entries'
b(2).entries='Scilab'

// atribuindo o terceiro elemento de b utilizando o campo 'entries'
b(3).entries=poly(1:3,'s')

// atribuição de sub-cells
X=cell(3,2);
X(:,1)=b

// extraindo um sub-cell: o resultado é um cell
b(1)
b(1:2)

// extraindo o valor de um sub-cell: o resultado é um array
b(1).entries

// dimensões de b
b.dims
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Ver Também</title>

    <simplelist type="inline">
      <member><link linkend="eye">eye</link></member>

      <member><link linkend="ones">ones</link></member>

      <member><link linkend="zeros">zeros</link></member>
    </simplelist>
  </refsection>
</refentry>
